classification
Title: Exposing "q" and "Q" to multiprocessing.sharedctypes
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: benjamin.peterson, gdr@garethrees.org, haypo, pitrou, sbt
Priority: normal Keywords: patch

Created on 2013-12-05 11:13 by Antony.Lee, last changed 2017-07-22 10:14 by pitrou. This issue is now closed.

Files
File name Uploaded Description Edit
multiprocessing-longlong.patch Antony.Lee, 2013-12-05 11:13 review
Pull Requests
URL Status Linked Edit
PR 2741 merged gdr@garethrees.org, 2017-07-17 18:08
Messages (9)
msg205287 - (view) Author: Antony Lee (Antony.Lee) * Date: 2013-12-05 11:13
multiprocessing.sharedctypes was not updated after the "q" (c_longlong) and "Q" (c_ulonglong) typecodes were added to the array module (the docs claim that the typecode can be "one character typecode of the kind used by the array module").  The attached patch (just adding an entry to the typecode-to-type dict, as well as some more tests) fixes the issue.
msg298372 - (view) Author: Gareth Rees (gdr@garethrees.org) * Date: 2017-07-14 19:24
Patch looks good to me. The test cases are not very systematic (why only int, double, and long long?), but that's not the fault of the patch and shouldn't prevent its being applied.
msg298543 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2017-07-17 17:12
Uh, it's a pity this patch has been overlooked.
Gareth, would you want to make a Github PR out of this?
msg298546 - (view) Author: Gareth Rees (gdr@garethrees.org) * Date: 2017-07-17 17:41
Has Antony Lee has made a copyright assignment?
msg298547 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2017-07-17 17:42
According to the asterisk displayed right of his name, he has, yes.
msg298548 - (view) Author: Gareth Rees (gdr@garethrees.org) * Date: 2017-07-17 17:42
(If he hasn't, I don't think I can make a PR because I read his patch and so any implementation I make now is based on his patch and so potentially infringes his copyright.)
msg298793 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2017-07-21 10:35
New changeset 3913bad4957ac30e58a7ffe9279333ad176a8eea by Antoine Pitrou (Gareth Rees) in branch 'master':
bpo-19896: Add typecodes 'q' and 'Q' to multiprocessing.sharedctypes (#2741)
https://github.com/python/cpython/commit/3913bad4957ac30e58a7ffe9279333ad176a8eea
msg298797 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2017-07-21 11:00
Unhappy buildbot:

http://buildbot.python.org/all/builders/x86%20Ubuntu%20Shared%203.x/builds/1065/steps/test/logs/stdio

...
  File "/srv/buildbot/buildarea/3.x.bolen-ubuntu/build/Lib/test/test_multiprocessing_fork.py", line 2, in <module>
    import test._test_multiprocessing
  File "/srv/buildbot/buildarea/3.x.bolen-ubuntu/build/Lib/test/_test_multiprocessing.py", line 3180, in <module>
    class _Foo(Structure):
  File "/srv/buildbot/buildarea/3.x.bolen-ubuntu/build/Lib/test/_test_multiprocessing.py", line 3184, in _Foo
    ('z', c_longlong,)
NameError: name 'c_longlong' is not defined
msg298800 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2017-07-21 11:05
Apparently that buildbot doesn't have libffi.  I submitted a PR in https://github.com/python/cpython/pull/2802.
History
Date User Action Args
2017-07-22 10:14:07pitrousetstatus: open -> closed
resolution: fixed
2017-07-21 11:05:51pitrousetmessages: + msg298800
2017-07-21 11:00:10hayposetstatus: closed -> open

nosy: + haypo
messages: + msg298797

resolution: fixed -> (no value)
2017-07-21 10:35:57pitrousetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2017-07-21 10:35:35pitrousetmessages: + msg298793
2017-07-17 18:08:03gdr@garethrees.orgsetpull_requests: + pull_request2801
2017-07-17 17:42:33gdr@garethrees.orgsetmessages: + msg298548
2017-07-17 17:42:20pitrousetmessages: + msg298547
2017-07-17 17:41:22gdr@garethrees.orgsetmessages: + msg298546
2017-07-17 17:12:18pitrousetversions: + Python 3.7, - Python 3.4
nosy: + pitrou

messages: + msg298543

type: enhancement
2017-07-17 13:00:15gdr@garethrees.orgsetnosy: + benjamin.peterson
2017-07-14 19:31:21Antony.Leesetnosy: - Antony.Lee
2017-07-14 19:24:25gdr@garethrees.orgsetnosy: + gdr@garethrees.org
messages: + msg298372
2013-12-05 11:40:42pitrousetnosy: + sbt

stage: patch review
2013-12-05 11:13:04Antony.Leecreate